# Created by pyp2rpm-3.3.5
%global pypi_name requests-download
%global srcname requests_download

Name:           python-%{pypi_name}
Version:        0.1.2
Release:        %mkrel 6
Summary:        Download files using requests and save them to a target path
Group:          Development/Python
License:        None
URL:            https://www.github.com/takluyver/requests_download
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-devel

%description
A convenient function to download to a file using requests.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A convenient function to download to a file using requests.

%prep
%autosetup -n requests_download-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files requests_download

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Dec 14 2023 papoteur <papoteur> 0.1.2-6.mga10
+ Revision: 2018072
- rebuild for python 3.12

* Fri Dec 08 2023 wally <wally> 0.1.2-5.mga10
+ Revision: 2015669
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.1.2-4.mga9
+ Revision: 1823349
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.1.2-3.mga9
+ Revision: 1783022
- rebuild for python-3.10

* Mon Apr 05 2021 wally <wally> 0.1.2-2.mga9
+ Revision: 1713633
- rebuild for python 3.9

* Sun Dec 06 2020 wally <wally> 0.1.2-1.mga8
+ Revision: 1653993
- imported package python-requests-download

